
int leftMargin = 40;
int rightMargin = 20;
int topMargin = 20;
int bottomMargin = 20;
int barSpacing = 10;
float barWidth = 100;

void draw() {
  
  barWidth = float(width-leftMargin-rightMargin-(numYears-1)*barSpacing)/numYears;
  
  background(37);
  
  textFont(sideLabelFont);
  //textAlign(CENTER, CENTER);
  
  noStroke();
  
  // Coffee label
  fill(145);
  pushMatrix();
  translate(leftMargin/2.0, height/3.0);
  rotate(-HALF_PI);
  text("Coffee", 0, 0);
  popMatrix();
  
  // Tea label
  pushMatrix();
  translate(leftMargin/2.0, 2*height/3.0);
  rotate(-HALF_PI);
  text("Tea", 0, 0);
  popMatrix();
  
  // Year labels
  for (int i=0; i < numYears; i++) {
    fill(i*20);
    int year = 2006+i;
    
    float pos = (width-leftMargin-rightMargin)*(i/float(numYears))+leftMargin;


    float coffeeHeight = float(coffeeByYear[year]) / (coffeeByYear[year]+teaByYear[year]) * (height-topMargin-bottomMargin);

    rect(pos, topMargin, pos+barWidth, coffeeHeight+topMargin);
    
    text(year, pos+barWidth/2.0, height-20);
  }
  
  
}

